

#ifndef TOOLS_H_INCLUDED
#define TOOLS_H_INCLUDED

void rgb32_blit_scanline( unsigned char *output, unsigned char *input, int width );
void rgb32_blit_colour_scanline( unsigned char *output, unsigned int colour, int width );
void rgb32_blit_colour( unsigned char *output, unsigned int colour, int width, int height, int stride );
void rgb32_blit_colour_vertical( unsigned char *output, unsigned int colour, int height, int stride );
void rgb24_to_rgb32_scanline( unsigned char *output, unsigned char *input, int width );
void rgb32_to_rgb16_scanline( unsigned char *output, unsigned char *input, int width );
void argb32_to_rgba32_scanline( unsigned char *output, unsigned char *input, int width );
void rgba32_to_argb32_scanline( unsigned char *output, unsigned char *input, int width );
int tga_to_rgb32( unsigned char *dest, const char *filename, int width, int height, int stride );
void a8_subpix_blit_scanline( unsigned char *output, unsigned char *input,
                              int startpos, int width );
void rgb32_subpix_blit_scanline( unsigned char *output, unsigned char *input,
                                 unsigned char lastr, unsigned char lastg, unsigned char lastb,
                                 int startpos, int width );

#endif /* TOOLS_H_INCLUDED */
